 %info pacienti:
%11 pacientov: pacient37-47
% %č.37
%ElementSpacing = 0.48828     0.48828     0.44995
%DimSize = 512  512  327
% %č.38
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  338
% %č.39
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  317
% %č.40
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  349
% %č.41
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  316
% %č.42
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  359
% %č.43
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  349
% %č.44
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  335
% %č.45  -NUTNÉ PREVZORKOVANIE
% ElementSpacing = 0.48828     0.48828     0.45007
% DimSize = 512  512  330
% %č.46 - NUTNÉ PREVZORKOVANIE
% ElementSpacing = 0.48828     0.48828     0.45007
% DimSize = 512  512  338
% %č.47
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  361

%PREVZORKOVANIE
%z=počet rezov na osi z
%a=pôvodné vzorkovanie
%b=nové vzorkovanie
%x=z*(a/b)
%imresize3(data, [512,512,x]);

%------------------------------------------------------


% %č.37
%ElementSpacing = 0.48828     0.48828     0.44995
%DimSize = 512  512  327

fid = fopen('037.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '037.raw');
end
data_37 = fread(fid, 512*512*327, 'uint16');
fclose(fid);
data_37 = reshape(data_37, [512,512,327]);
%imshow4(data_37);
%zobrazenie dat pacienta 37 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

% %č.38
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  338

fid = fopen('038.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '038.raw');
end
data_38 = fread(fid, 512*512*338, 'uint16');
fclose(fid);
data_38 = reshape(data_38, [512,512,338]);
%imshow4(data_38);
%zobrazenie dat pacienta 38 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

% %č.39
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  317
fid = fopen('039.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '039.raw');
end
data_39 = fread(fid, 512*512*317, 'uint16');
fclose(fid);
data_39 = reshape(data_39, [512,512,317]);
%imshow4(data_39);
%zobrazenie dat pacienta 37 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

% %č.40
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  349
fid = fopen('040.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '040.raw');
end
data_40 = fread(fid, 512*512*349, 'uint16');
fclose(fid);
data_40 = reshape(data_40, [512,512,349]);
%imshow4(data_40);
%zobrazenie dat pacienta 37 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

% %č.41
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  316
fid = fopen('041.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '041.raw');
end
data_41 = fread(fid, 512*512*316, 'uint16');
fclose(fid);
data_41 = reshape(data_41, [512,512,316]);
%imshow4(data_41);
%zobrazenie dat pacienta 37 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

% %č.42
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  359
fid = fopen('042.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '042.raw');
end
data_42 = fread(fid, 512*512*359, 'uint16');
fclose(fid);
data_42 = reshape(data_42, [512,512,359]);
%imshow4(data_42);
%zobrazenie dat pacienta 37 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

% %č.43
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  349
fid = fopen('043.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '043.raw');
end
data_43 = fread(fid, 512*512*349, 'uint16');
fclose(fid);
data_43 = reshape(data_43, [512,512,349]);
%imshow4(data_43);
%zobrazenie dat pacienta 37 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

% %č.44
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  335
fid = fopen('044.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '044.raw');
end
data_44 = fread(fid, 512*512*335, 'uint16');
fclose(fid);
data_44 = reshape(data_44, [512,512,335]);
%imshow4(data_44);
%zobrazenie dat pacienta 37 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

% %č.45  -NUTNÉ PREVZORKOVANIE
% ElementSpacing = 0.48828     0.48828     0.45007
% DimSize = 512  512  330
%subor prevzorkovanie

% %č.46 - NUTNÉ PREVZORKOVANIE
% ElementSpacing = 0.48828     0.48828     0.45007
% DimSize = 512  512  338
%subor prevzorkovanie
%PREVZORKOVANIE
%z=počet rezov na osi z
%a=pôvodné vzorkovanie
%b=nové vzorkovanie
%x=z*(a/b)
%imresize3(data, [512,512,x]);

% %č.47
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  361
fid = fopen('047.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '047.raw');
end
data_47 = fread(fid, 512*512*361, 'uint16');
fclose(fid);
data_47 = reshape(data_47, [512,512,361]);
%imshow4(data_47);
%zobrazenie dat pacienta 37 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

clear fid %odstrániť premennú fid
